Updates the configuration of a feature on the entitlement.
PUT
/api/v1/provision/admin/entitlements/{entitlementId}/features/{featureId}
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/features/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"featureCode":"example","value":"example","isAvailableDuringTrialPeriod":true,"isEnabled":true,"featureExpiration":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/features/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "featureCode": "example", "value": "example", "isAvailableDuringTrialPeriod": true, "isEnabled": true, "featureExpiration": "2026-04-15T12:00:00Z" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” entitlementId
required
string format: uuid
Target entitlement.
featureId
required
string format: uuid
Target feature.
Request Body required
Section titled “Request Body required ”Updated feature payload.
object
featureCode
string
value
null | string
isAvailableDuringTrialPeriod
boolean
isEnabled
boolean
featureExpiration
null | string format: date-time
Example generated
{ "featureCode": "example", "value": "example", "isAvailableDuringTrialPeriod": true, "isEnabled": true, "featureExpiration": "2026-04-15T12:00:00Z"}object
featureCode
string
value
null | string
isAvailableDuringTrialPeriod
boolean
isEnabled
boolean
featureExpiration
null | string format: date-time
Example generated
{ "featureCode": "example", "value": "example", "isAvailableDuringTrialPeriod": true, "isEnabled": true, "featureExpiration": "2026-04-15T12:00:00Z"}object
featureCode
string
value
null | string
isAvailableDuringTrialPeriod
boolean
isEnabled
boolean
featureExpiration
null | string format: date-time
Example generated
{ "featureCode": "example", "value": "example", "isAvailableDuringTrialPeriod": true, "isEnabled": true, "featureExpiration": "2026-04-15T12:00:00Z"}Responses
Section titled “ Responses ”OK
Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}